## sdlip.helpers
Class DBG

    java.lang.Object
      |
      +--sdlip.helpers.DBG

public class DBG
extends java.lang.Object

Field Summary
`static int` `SHORT`
`static int` `SILENT`
`static int` `VERBOSE`

Constructor Summary
`DBG()` Silent
`DBG(int debugLevel)` to standard error
`DBG(int debugLevel, java.io.PrintStream out)`

Method Summary
`int` `getLevel()`
`boolean` `is(int debugLevel)`
`void` `println(java.lang.Exception any)`
`void` `println(int debugLevel, java.lang.String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SILENT

    public static final int SILENT

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### VERBOSE

    public static final int VERBOSE

See Also:
  Constant Field Values

Constructor Detail

### DBG

    public DBG()

  Silent

### DBG

    public DBG(int debugLevel)

  to standard error

### DBG

    public DBG(int debugLevel,
               java.io.PrintStream out)

Method Detail

### println

    public void println(int debugLevel,
                        java.lang.String msg)

### println

    public void println(java.lang.Exception any)

### getLevel

    public int getLevel()

### is

    public boolean is(int debugLevel)